%define name    eina
%define version 1.7.9
%define option  0
%define svn     0
%if %option
%define rel 0.%option.3
%define namevers %name-%version-%option
%else
%define rel 2
%define namevers %name-%version
%endif
%if %svn
%define release %mkrel -c %svn %rel
%else
%define release %mkrel %rel
%endif

%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: Data Type Library
Name:    %{name}
Version: %{version}
Release: %{release}
License: LGPLv2+
Group: Graphical desktop/Enlightenment
# creating archive is quite simple:
# svn export http://svn.enlightenment.org/svn/e/branches/%name-1.1 %name
# tar cJf %name-%svn.tar.xz %name
%if %svn
Source: %name-%svn.tar.xz
%else
Source: http://download.enlightenment.org/releases/%namevers.tar.bz2
%endif
URL: http://trac.enlightenment.org/e/wiki/Eina

%description
Eina is a core data structure and common utility library.

%package -n %libname
Summary: Libraries for the %{name} package
Group: System/Libraries

%description -n %libname
Libraries for %{name}

%package -n %libnamedev
Summary: Headers and development libraries from %{name}
Group: Development/Other
Requires: %libname = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}

%description -n %libnamedev
%{name} development headers and libraries.

%prep
%if %svn
%setup -qn %name
%else
%setup -qn %namevers
%endif

%build
%if %svn
LC_ALL=C NOCONFIGURE=1 ./autogen.sh
%endif
%configure2_5x --disable-static
%make

%install
rm -fr %buildroot
%makeinstall_std

find %buildroot -name *.la | xargs rm

%files -n %libname
%doc AUTHORS README
%{_libdir}/*.so.%{major}*

%files -n %libnamedev
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_includedir}/*




%changelog
* Sat Nov 23 2013 trem <trem> 1.7.9-2.mga4
+ Revision: 552456
- use pkgconfig for the buildrequire to avoid issue with epoch
- increase release

* Sat Nov 09 2013 trem <trem> 1.7.9-1.mga4
+ Revision: 550110
- update to version 1.7.9

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sun Aug 04 2013 trem <trem> 1.7.8-2.mga4
+ Revision: 463319
- update version to 1.7.8 (fix changelog from previous commit)

* Sun Aug 04 2013 trem <trem> 1.7.8-1.mga4
+ Revision: 463226
- increase release to rebuild

* Wed Jun 19 2013 fwang <fwang> 1.7.7-1.mga4
+ Revision: 444908
- new version 1.7.7

* Tue May 07 2013 trem <trem> 1.7.5-2.mga3
+ Revision: 412558
- increase release to rebuild

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 trem <trem> 1.7.5-1.mga3
+ Revision: 339265
- update to release 1.7.5

* Sat Dec 22 2012 trem <trem> 1.7.4-1.mga3
+ Revision: 333851
- update to release 1.7.4

* Fri Dec 07 2012 trem <trem> 1.7.3-1.mga3
+ Revision: 327925
- update to release 1.7.3

* Fri Nov 23 2012 trem <trem> 1.7.2-1.mga3
+ Revision: 321311
- update to release 1.7.2

* Wed Nov 21 2012 trem <trem> 1.7.1-1.mga3
+ Revision: 320187
- update to release 1.7.1

* Sat Sep 08 2012 trem <trem> 1.7.0-1.mga3
+ Revision: 290103
- update to release 1.7.0

* Sat Jun 09 2012 trem <trem> 1.2.1-1.mga3
+ Revision: 258748
- update 1.2.1

* Mon May 28 2012 trem <trem> 1.2.0-1.mga3
+ Revision: 248648
- update to 1.2.0 (stable release)

* Sun Mar 11 2012 trem <trem> 1.1.0-0.r69188.1.mga2
+ Revision: 222648
- update to release 69188

* Sat Mar 10 2012 trem <trem> 1.1.0-0.r69165.1.mga2
+ Revision: 222384
- update to release 69165

* Sun Mar 04 2012 trem <trem> 1.1.0-0.r68658.1.mga2
+ Revision: 217962
- update to release 68658

* Sat Mar 03 2012 trem <trem> 1.1.0-0.r68649.1.mga2
+ Revision: 217511
- update to release 68649

* Sun Feb 26 2012 trem <trem> 1.1.0-0.r68450.1.mga2
+ Revision: 215173
- update to release 68450

* Sat Feb 25 2012 trem <trem> 1.1.0-0.r68434.1.mga2
+ Revision: 214391
- update to release 68434

* Fri Feb 24 2012 trem <trem> 1.1.0-0.r68363.1.mga2
+ Revision: 213925
- update to release 68363

* Wed Feb 22 2012 trem <trem> 1.1.0-0.r68228.1.mga2
+ Revision: 212043
- update to release 68228

* Sun Feb 19 2012 trem <trem> 1.1.0-0.r68120.1.mga2
+ Revision: 210759
- update to release 68120

* Sat Feb 18 2012 trem <trem> 1.1.0-0.r68102.1.mga2
+ Revision: 210207
- update to release 68102

* Sat Feb 11 2012 trem <trem> 1.1.0-0.r67851.1.mga2
+ Revision: 207510
- update to release 67851

* Sat Feb 11 2012 trem <trem> 1.1.0-0.r67846.1.mga2
+ Revision: 207223
- update to release 67846

* Fri Feb 10 2012 trem <trem> 1.1.0-0.r67830.1.mga2
+ Revision: 206932
- update to release 67830

* Tue Feb 07 2012 trem <trem> 1.1.0-0.r67715.1.mga2
+ Revision: 205967
- update to release 67715
- update to release 67703
- update to release 67702
- update to release 67698
- update to release 67688

* Wed Feb 01 2012 trem <trem> 1.1.0-0.r67680.1.mga2
+ Revision: 203887
- update to release 67680

* Tue Dec 27 2011 trem <trem> 1.1.0-0.r66418.1.mga2
+ Revision: 188235
- fix svn url for export
- update to release 66418

* Sun Dec 04 2011 trem <trem> 1.1.0-0.r65867.1.mga2
+ Revision: 176061
- update to release 65867

* Tue Nov 29 2011 trem <trem> 1.1.0-0.r65688.1.mga2
+ Revision: 174213
- update to release 65688

* Sun Nov 27 2011 trem <trem> 1.1.0-0.r65613.1.mga2
+ Revision: 172936
- update to release 65613

* Sun Nov 20 2011 trem <trem> 1.1.0-0.r65428.1.mga2
+ Revision: 169699
- update to release 65428

* Fri Nov 18 2011 trem <trem> 1.1.0-0.r65369.1.mga2
+ Revision: 168678
- update to version 1.1.0
- update to release r65369

* Thu Nov 17 2011 trem <trem> 1.0.999-0.r65341.1.mga2
+ Revision: 168413
- update to release 65341

* Wed Nov 16 2011 trem <trem> 1.0.999-0.r65269.1.mga2
+ Revision: 168173
- update to release 65269

* Sun Nov 13 2011 trem <trem> 1.0.999-0.r65129.1.mga2
+ Revision: 167135
- update to release 65129

* Fri Nov 11 2011 trem <trem> 1.0.999-0.r65056.1.mga2
+ Revision: 166538
- update to release 65056

* Sat Nov 05 2011 trem <trem> 1.0.999-0.r64753.1.mga2
+ Revision: 163300
- update to release 64753

* Tue Nov 01 2011 trem <trem> 1.0.999-0.r64603.1.mga2
+ Revision: 160786
- update to release 64603

* Mon Oct 31 2011 trem <trem> 1.0.999-0.r64579.1.mga2
+ Revision: 160568
- update to release 64579

* Sun Oct 30 2011 trem <trem> 1.0.999-0.r64519.1.mga2
+ Revision: 160055
- update to release 64519

* Sat Oct 29 2011 trem <trem> 1.0.999-0.r64511.1.mga2
+ Revision: 159784
- update to r64511

* Fri Oct 28 2011 trem <trem> 1.0.999-0.r64501.1.mga2
+ Revision: 159271
- update to r64501

* Wed Oct 26 2011 trem <trem> 1.0.999-0.r64414.1.mga2
+ Revision: 158359
- update to r64414
- use release-version on e17 br package (instead of just version)

* Mon Oct 24 2011 trem <trem> 1.0.999-0.r64328.1.mga2
+ Revision: 157706
- use svn release (instead of stable release)
- spec cleaning

* Mon Sep 26 2011 trem <trem> 1.0.1-2.mga2
+ Revision: 148919
- drop la files

* Mon Jun 27 2011 trem <trem> 1.0.1-1.mga2
+ Revision: 114848
- Update to 1.0.1

* Mon Apr 18 2011 ennael <ennael> 1.0.0-1.mga1
+ Revision: 87941
- clean spec file
- imported package eina


* Sat Jan 29 2011 Funda Wang <fwang@mandriva.org> 1.0.0-1mdv2011.0
+ Revision: 633900
- 1.0.0 final

* Sat Dec 18 2010 Funda Wang <fwang@mandriva.org> 1.0.0-0.beta3.1mdv2011.0
+ Revision: 622780
- 1.0 beta3

* Sun Nov 14 2010 Funda Wang <fwang@mandriva.org> 1.0.0-0.beta2.1mdv2011.0
+ Revision: 597465
- 1.0.0 beta2

* Wed Oct 13 2010 Funda Wang <fwang@mandriva.org> 1.0.0-0.beta.1mdv2011.0
+ Revision: 585278
- 1.0 beta

* Fri Jul 09 2010 Funda Wang <fwang@mandriva.org> 0.9.9.49898-1mdv2011.0
+ Revision: 549890
- New version 0.9.9.49898

* Sun Dec 13 2009 Funda Wang <fwang@mandriva.org> 0.9.9.063-1mdv2010.1
+ Revision: 478093
- new version 0.9.9.063

* Fri Aug 07 2009 Funda Wang <fwang@mandriva.org> 0.0.2.062-1mdv2010.0
+ Revision: 411057
- new version 0.0.2.062

* Mon Jul 06 2009 Funda Wang <fwang@mandriva.org> 0.0.2.061-1mdv2010.0
+ Revision: 392853
- new version 0.0.2.061

* Sat May 02 2009 Funda Wang <fwang@mandriva.org> 0.0.2.060-1mdv2010.0
+ Revision: 370573
- New version 0.0.2.060

* Wed Mar 04 2009 Antoine Ginies <aginies@mandriva.com> 0.0.1-3mdv2009.1
+ Revision: 348382
- SVN SNAPSHOT 20090227, release 0.0.1

* Mon Mar 02 2009 Antoine Ginies <aginies@mandriva.com> 0.0.1-2mdv2009.1
+ Revision: 347179
- eina mempool is needed in the libraries package

* Fri Feb 27 2009 Antoine Ginies <aginies@mandriva.com> 0.0.1-1mdv2009.1
+ Revision: 345449
- remove epoch
- change group
- add buildroot tag
- import eina


